Help needed to unlock 3gs

Discussion in 'Jailbreaks and iOS Hacks' started by hooper88, Dec 9, 2011.

  1. hooper88 macrumors newbie

    Joined:
    Dec 9, 2011
    #1
    First time posting here so be nice ;)

    I have an iPhone 3gs on iOs 5.0.1 and baseband 05.16.05

    I managed to use the tethered jailbreak successfully last night, but when trying to unlock the phone using ultrasn0w i got a message saying something like the sim couldnt be unlocked, or something along those lines..

    I've had a bit of a search about and it seems like there's no way to unlock my 3gs whilst it is on the iOs and baseband, am i right in thinking this?

    So what are my options? As when reading about nothing seems to make sense to me :confused:

    Cheers.
     
  2. BennyPaz macrumors newbie

    Joined:
    Dec 13, 2011
    Location:
    Washington
    #2
    Soon

    You're correct. It is currently impossible for the general public to Unlock/Untethered Jailbreak any iPhone on 5.0.1 with a baseband of 05.16.05
    This is due to Apple fixing the previous exploits which existed in 4.0 so JailBreakers had to start from scratch.

    BUT!
    I read that Dev Team recently successfully had their first untethered jailbreak on dec 9th with an iPhone 4S...

    http://www.spiritjb.org/2011/12/first-untethered-jailbreak-5.0-5.0.1-video-devteam.html

    They will probably not release the finalized product until Apple releases 5.1 next year so the exploits will still exist.

    You're option is to Downgrade the iOS to 4.0 - 4.3.3 and downgrade the baseband or upgrade the baseband to the iPad2 baseband of 6.15.00. You can find tutorials on YouTube or through Google... I will say I have been attempted both these for the past week on an iPhone 3Gs matching your description and an iPhone 4 but have not had any success and have given up.

    My suggestion is wait it out till DevTeam releases it, Otherwise there may be permanent damage done to your phone

    Good Luck
    Ben
     
  3. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #3
    Ultrasn0w does not software unlock 5.16.xx regardless of firmware
    So reverting to 4.x.x won't get you a software unlock.
     
  4. BennyPaz macrumors newbie

    Joined:
    Dec 13, 2011
    Location:
    Washington
    #4
    Correct. It is possible though to update the baseband to 6.15.00 (iPad Baseband) which is compatible with ultrasn0w. It's a simple mouse click within Redsn0w.

    I personally just did this process yesterday. I created a custom iOS 4.1 IPSW using sn0wbreeze 2.1 to downgrade from 5.0.1. Then used Redsn0w 0.9.9b8 to put into pwnDFU mode, finalized with a shift-click-restore in iTunes. Then Jailbroke with Redsn0w after restore having it install not only Cydia, but also the iPad Baseband.

    The baseband update is permanent and is impossible to undo. There are alot of reports of problems occurring with the iPhone after 6.15.00 is installed, but the only one i have experience is GPS doesnt function properly.
     

Share This Page